#
# spec file for package libcurl2 (Version 7.11.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           libcurl2
BuildRequires:  openssl-devel
Version:        7.11.0
Release:        32.2
Requires:       curl-ca-bundle
AutoReqProv:    on
License:        MOZILLA PUBLIC LICENSE (MPL/NPL)
Group:          Productivity/Networking/Web/Utilities
Summary:        Curl Compatibility Library
Url:            http://curl.haxx.se/
Source:         curl-%{version}.tar.bz2
Patch1:         curl-%{version}-dirs.patch
Patch2:         curl-%{version}-lfs.patch
Patch3:         curl-7.11.0-aliasing.patch
Patch10:        curl-ntlm.patch
Patch11:        curl-%{version}-libcurl-ntlmbuf.patch
Patch12:        curl-7.11.0-CVE-2009-0037.patch
Patch13:        curl-7.11.0-CVE-2009-2417.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Curl is a client to get documents and files from or send documents to a
server using any of the supported protocols (HTTP, HTTPS, FTP, GOPHER,
DICT, TELNET, LDAP, or FILE). This package contains an older version of
the curl library for binary compatibility with old binaries.



Authors:
--------
    Daniel Stenberg <Daniel.Stenberg@haxx.se>

%debug_package
%prep
%setup -q -n curl-%{version}
%patch1
%patch2
%patch3
%patch10
%patch11
%patch12
%patch13

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=%{_prefix} \
	--enable-ipv6 \
	--with-ssl=%{_prefix}/ssl \
	--libdir=%{_libdir} \
	--disable-static
make -C lib %{?jobs:-j%jobs}

%install
make -C lib install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%_libdir/libcurl.{la,so}
rm -r $RPM_BUILD_ROOT/usr/share/curl # in curl-ca-bundle.rpm

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcurl.so.*

%changelog
* Thu Aug 06 2009 - mmarek@suse.cz
- fixed verification of certificates with embeded NUL characters
  (CVE-2009-2417, bnc#527990).
* Thu Aug 06 2009 - mmarek@suse.cz
- don't follow redirects to file:// by default; add new
  curl_easy_setopt options CURLOPT_PROTOCOLS and
  CURLOPT_REDIR_PROTOCOLS to specify which protocols are allowed
  and which protocols are allowed to redirect to (bnc#475103,
  CVE-2009-0037)
* Wed Apr 18 2007 - mmarek@suse.de
- renamed to libcurl2
- build and package only libcurl.so.2*
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 13 2005 - mmarek@suse.cz
- fix stack buffer overflow in lib/http_ntlm.c [#128065]
* Tue Feb 22 2005 - mcihar@suse.cz
- fix buffer overflow in NTLM (bug #65752)
* Fri Sep 17 2004 - schwab@suse.de
- Fix last change.
* Fri Sep 17 2004 - ro@suse.de
- added curl-7.11.0-aliasing.patch
* Mon Sep 06 2004 - kukuk@suse.de
- Rename into comapt-curl2 for binary compatibility with old
  binaries
* Tue Mar 16 2004 - tcrhak@suse.cz
- fix for lfs for in transfer.c (bug #36040)
* Wed Feb 25 2004 - tcrhak@suse.cz
- ignore leading slashes of url-path in URLs like
  ftp://user@name//url-path, i.e don't change to the
  root directory (RFC 1738, bug #34471)
* Tue Feb 10 2004 - tcrhak@suse.cz
- update to version 7.11.0
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Nov 05 2003 - tcrhak@suse.cz
- added large file support, patch lfs [bug #32411]
* Thu Sep 04 2003 - tcrhak@suse.cz
- require zlib-devel, openssl-devel and glibc-devel in curl-devel [bug #29881]
* Fri Aug 08 2003 - tcrhak@suse.cz
- terminate array of directory components by NULL (bug #28351, patch dirs)
* Wed Jul 23 2003 - tcrhak@suse.cz
- update to version 7.10.5
* Tue Jun 03 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Wed Nov 27 2002 - tcrhak@suse.cz
- update to version 7.10.2
- moved curl-config.1.gz to the devel subpackage [bug #21966]
* Sat Jul 13 2002 - tcrhak@suse.cz
- update to version 7.9.8
- added automake
* Fri Jan 18 2002 - tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
- update to 7.9.2
* Fri Oct 19 2001 - ro@suse.de
- do not pack shared library into both, main and devel package
* Mon Oct 08 2001 - tcrhak@suse.cz
- update to version 7.9
* Fri Sep 21 2001 - adostal@suse.cz
- fix manual in man.patch
* Tue Aug 21 2001 - adostal@suse.cz
- update to version 7.8.1
* Wed Jul 18 2001 - adostal@suse.cz
- files devel fixed
* Mon Jul 02 2001 - adostal@suse.cz
- update to version 7.8
* Wed Jun 13 2001 - ro@suse.de
- fixed to compile with new autoconf
* Mon Apr 09 2001 - cihlar@suse.cz
- update to version 7.7.1
* Tue Mar 06 2001 - cihlar@suse.cz
- update to version 7.6.1
* Wed Jan 03 2001 - cihlar@suse.cz
- fixed Provides and Obsoletes also for curl-devel
* Tue Dec 19 2000 - cihlar@suse.cz
- fixed name
- added Obsoletes: curl_ssl
* Mon Dec 18 2000 - cihlar@suse.cz
- changed to ssl support
* Thu Nov 16 2000 - cihlar@suse.cz
- renamed curldev -> curl-devel
- update to version 7.4.2
* Tue Oct 17 2000 - cihlar@suse.cz
- update to version 7.4.1 - security bug fixed
* Wed Aug 30 2000 - cihlar@suse.cz
- package created
